-------------------------------------------- EXTENSION FROM MOREBUNKERSILOMOD BY DERELKY - PERMISSION GIVEN --------------------------
-- (MoreBunkersilo Mod by derelky)
-- (Help to register new fillTypes by Wopster)
-- (Version 1.0 initial Release LS19)

local modDirectory = g_currentModDirectory

function addtoseasonseconomy(mission)
		if g_seasons == nil then
		else
			if g_seasons.economy.data.repricing.fillTypes.DRY_MAIZE  == nil then
				g_seasons.economy.data.repricing.fillTypes.DRY_MAIZE = {}
				for i,j in pairs(g_seasons.economy.data.repricing.fillTypes.MAIZE) do
				g_seasons.economy.data.repricing.fillTypes.DRY_MAIZE[i]=j
				end
			end
		end	
end

function load(id, xmlFile, key,customEnvironment)
	-- Add the new Filltype to the SellingStations
		local hasmaize =false
		local hasdry_maize=false
		
		local object=id
			
		
		if object == nil then
		else
		hasmaize =false
		hasdry_maize=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]

			if fillname == "MAIZE" then
				hasmaize=true
							
			end
			if fillname == "DRY_MAIZE" then
				hasdry_maize=true
							
			end
			
			end
			
			if hasmaize and not hasdry_maize then
				--add hasdry_maize to the same SellingStation that accept MAIZE
				local filltypen = g_fillTypeManager:getFillTypeIndexByName("DRY_MAIZE")
				local price = g_fillTypeManager:getFillTypeByName("DRY_MAIZE").pricePerLiter
				object:addAcceptedFillType(filltypen,price,true,false)
				object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("DRY_MAIZE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
				object:initPricingDynamics()
			end
			
		end
end

-- Hook here
Mission00.loadItemsFinished = Utils.prependedFunction(Mission00.loadItemsFinished, addtoseasonseconomy)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)
